aboutsummaryrefslogtreecommitdiffstats
path: root/community/qt6-qt5compat/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'community/qt6-qt5compat/APKBUILD')
-rw-r--r--community/qt6-qt5compat/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/community/qt6-qt5compat/APKBUILD b/community/qt6-qt5compat/APKBUILD
new file mode 100644
index 0000000000..d9e16f1b4a
--- /dev/null
+++ b/community/qt6-qt5compat/APKBUILD
@@ -0,0 +1,40 @@
+# Maintainer: Bart Ribbers <bribbers@disroot.org>
+pkgname=qt6-qt5compat
+pkgver=6.1.1
+pkgrel=0
+pkgdesc="Module that contains unsupported Qt 5 APIs"
+url="https://qt.io/"
+arch="all"
+license="LGPL-2.1-only AND LGPL-3.0-only AND GPL-3.0-only AND Qt-GPL-exception-1.0"
+depends_dev="
+ qt6-qtbase-dev
+ "
+makedepends="$depends_dev
+ cmake
+ perl
+ "
+subpackages="$pkgname-dev"
+options="!check" # No tests
+builddir="$srcdir/qt5compat-everywhere-src-${pkgver/_/-}"
+
+case $pkgver in
+ *_alpha*|*_beta*|*_rc*) _rel=development_releases;;
+ *) _rel=official_releases;;
+esac
+
+source="https://download.qt.io/$_rel/qt/${pkgver%.*}/${pkgver/_/-}/submodules/qt5compat-everywhere-src-${pkgver/_/-}.tar.xz"
+
+build() {
+ cmake -B build \
+ -DCMAKE_BUILD_TYPE=None \
+ -DCMAKE_INSTALL_PREFIX=/usr
+ cmake --build build
+}
+
+package() {
+ DESTDIR="$pkgdir" cmake --install build
+}
+
+sha512sums="
+dfe169e508dc25e06a212ed05d0744782808d4e53791d34f32f0f3e98af3ad9cf20ad8e7f28ab34d46b85fc208441728e1764913a3f7e0d29981fdf8ef881489 qt5compat-everywhere-src-6.1.1.tar.xz
+"